# Workflow Introduction

Workflow is a brand new feature brought in version 1.19.0 of DecisionRules. It allows to design complex decisioning processes. It can be used to orchestrate other rules, make data transforms and calculations, run inline scripts, perform conditional branching, call external API, and more. The list is not final. Workflow will be given even more capabilities in the future, like DB connectors, integrations to 3rd party tools, etc.

## Workflow Features

Looking at its versatility and potential, workflow can be considered a whole new feature category within the DecisionRules universe. After all, with workflow in its repertoire, DecisionRules are gaining some of the major capabilities of a workflow engine. On the other hand, from the user's perspective, workflow fits perfectly into the same picture as other rules. It is listed as an item in the folder structure, it has the same settings, and it has a designer tab for editing the workflow.

Like its predecessor, the [rule flow](/doc/v1/rule-flow/rule-flow-designer.md), workflow is built by placing boxes on canvas and connecting them with lines. The boxes are called nodes (as in a graph), and the lines are called connections. Unlike in rule flow, there are numerous types of nodes, and the connections also have slightly different meaning, which will be explained on following pages.

### What can you find in Workflow section?

{% content-ref url="/pages/N1T44fnYEnB4qHkigk3S" %}
[Workflow Designer](/doc/v1/workflow/workflow-designer.md)
{% endcontent-ref %}

{% content-ref url="/pages/mvBCC1t8IwGUAx55MqFy" %}
[Workflow Nodes Overview](/doc/v1/workflow/workflow-nodes-overview.md)
{% endcontent-ref %}

{% content-ref url="/pages/RH9BnKC6uKNpkFo0xLeT" %}
[Workflow Limits](/doc/v1/workflow/workflow-limits.md)
{% endcontent-ref %}

{% content-ref url="/spaces/2kePaAlhzmPFZTjuxdCY/pages/tNvAdxCSEkLpxbSRNtr3" %}
[Create a Decision Flow](https://academy.decisionrules.io/rule-types/decision-flow/create-a-decision-flow)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.decisionrules.io/doc/v1/workflow/workflow-introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
